# IFloppyDrive Interface Reference

The IFloppyDrive interface represents the virtual floppy drive of the virtual machine. More...

List of all members.

## Public Member Functions
void | mountImage (in uuid imageId)
| Mounts a floppy image with the specified UUID.
void | captureHostDrive (in IHostFloppyDrive drive)
| Captures the specified host floppy drive.
void | unmount ()
| Unmounts the currently mounted image or host drive.
void | getImage ([retval] out IFloppyImage image)
| Returns the currently mounted floppy image.
void | getHostDrive ([retval] out IHostFloppyDrive drive)
| Returns the currently mounted host floppy drive.
## Public Attributes
attribute boolean | enabled
| Flag whether the floppy drive is enabled.
readonly attribute DriveState | state
| Current drive state.

## Detailed Description

The IFloppyDrive interface represents the virtual floppy drive of the virtual machine.

An object of this type is returned by IMachine::floppyDrive.

Interface ID:
  `{159412CD-BAB8-452E-8097-218A020825A6}`

## Member Function Documentation

void IFloppyDrive::mountImage | ( | in uuid | imageId | ) |

Mounts a floppy image with the specified UUID.

Expected result codes:

  VBOX_E_FILE_ERROR | Invalid image file location.
  VBOX_E_OBJECT_NOT_FOUND | Could not find a floppy image matching imageID.
  VBOX_E_INVALID_OBJECT_STATE | Invalid media state.

void IFloppyDrive::captureHostDrive | ( | in IHostFloppyDrive | drive | ) |

Captures the specified host floppy drive.

void IFloppyDrive::unmount | ( |  | ) |

Unmounts the currently mounted image or host drive.

void IFloppyDrive::getImage | ( | [retval] out IFloppyImage | image | ) |

Returns the currently mounted floppy image.

void IFloppyDrive::getHostDrive | ( | [retval] out IHostFloppyDrive | drive | ) |

Returns the currently mounted host floppy drive.

## Member Data Documentation

attribute boolean IFloppyDrive::enabled

Flag whether the floppy drive is enabled.

If it is disabled, the floppy drive will not be reported to the guest OS.

readonly attribute DriveState IFloppyDrive::state

Current drive state.